| Home | Libraries | People | FAQ | More

###### string::assign (2 of 7 overloads)

Assign characters to a string.

###### Synopsis

    string&
    assign(
        string const& other);

###### Description

Replace the contents with a copy of `other`.

###### Complexity

Linear in `other.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`other` | The string to use as a source to copy from.